# Makefile.in generated by automake 1.11.2 from Makefile.am.
# xslt/docbook/common/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Not using INTLTOOL_XML_RULE because of it causes db-format.xml to be
# rebuilt in the tarball, which causes docs to be rebuilt, which causes
# translated docs to be rebuilt, which requires xml2po, which breaks
# --disable-build-utils


pkgdatadir = $(datadir)/gnome-doc-utils
pkgincludedir = $(includedir)/gnome-doc-utils
pkglibdir = $(libdir)/gnome-doc-utils
pkglibexecdir = $(libexecdir)/gnome-doc-utils
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = powerpc-unknown-linux-gnu
subdir = xslt/docbook/common
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(xsldir)"
DATA = $(xsl_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/work/ppc440e-linux/gnome-doc-utils-0.20.6-r8/gnome-doc-utils-0.20.6/missing --run aclocal-1.11
ALL_LINGUAS = 
AMTAR = ${SHELL} /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/work/ppc440e-linux/gnome-doc-utils-0.20.6-r8/gnome-doc-utils-0.20.6/missing --run tar
AUTOCONF = ${SHELL} /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/work/ppc440e-linux/gnome-doc-utils-0.20.6-r8/gnome-doc-utils-0.20.6/missing --run autoconf
AUTOHEADER = ${SHELL} /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/work/ppc440e-linux/gnome-doc-utils-0.20.6-r8/gnome-doc-utils-0.20.6/missing --run autoheader
AUTOMAKE = ${SHELL} /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/work/ppc440e-linux/gnome-doc-utils-0.20.6-r8/gnome-doc-utils-0.20.6/missing --run automake-1.11
AWK = gawk
CATALOGS = 
CATOBJEXT = .gmo
CC = ccache powerpc-linux-gcc  -m32   -mcpu=440fp -mhard-float --sysroot=/opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/sysroots/generic-powerpc-4xx
CCDEPMODE = depmode=none
CFLAGS = -O2 -pipe -g -feliminate-unused-debug-types
CPP = powerpc-linux-gcc -E --sysroot=/opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/sysroots/generic-powerpc-4xx  -m32   -mcpu=440fp -mhard-float
CPPFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DPACKAGE_NAME=\"gnome-doc-utils\" -DPACKAGE_TARNAME=\"gnome-doc-utils\" -DPACKAGE_VERSION=\"0.20.6\" -DPACKAGE_STRING=\"gnome-doc-utils\ 0.20.6\" -DPACKAGE_BUGREPORT=\"http://bugzilla.gnome.org/enter_bug.cgi\?product=gnome-doc-utils\" -DPACKAGE_URL=\"\" -DPACKAGE=\"gnome-doc-utils\" -DVERSION=\"0.20.6\" -DGETTEXT_PACKAGE=\"gnome-doc-utils\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LOCALE_H=1 -DHAVE_LC_MESSAGES=1 -DHAVE_BIND_TEXTDOMAIN_CODESET=1 -DHAVE_GETTEXT=1 -DHAVE_DCGETTEXT=1 -DENABLE_NLS=1
DEPDIR = .deps
DISTCHECK_CONFIGURE_FLAGS = --disable-scrollkeeper 
DOC_USER_FORMATS = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GDU_AWK = gawk -W compat
GETTEXT_PACKAGE = gnome-doc-utils
GMOFILES = 
GMSGFMT = /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/sysroots/x86_64-linux/usr/bin/msgfmt
GNOME_DOC_UTILS_CFLAGS = -I/opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/sysroots/generic-powerpc-4xx/usr/include/libxml2  
GNOME_DOC_UTILS_LIBS = -lxslt -lm -lxml2  
GREP = /bin/grep
HELP_DIR = ${datadir}/gnome/help
INSTALL = /bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
INTLTOOL_EXTRACT = /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/sysroots/x86_64-linux/usr/bin/intltool-extract
INTLTOOL_MERGE = /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/sysroots/x86_64-linux/usr/bin/intltool-merge
INTLTOOL_PERL = /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/sysroots/x86_64-linux/usr/bin/nativeperl
INTLTOOL_UPDATE = /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/sysroots/x86_64-linux/usr/bin/intltool-update
LDFLAGS = -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/work/ppc440e-linux/gnome-doc-utils-0.20.6-r8/gnome-doc-utils-0.20.6/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/sysroots/x86_64-linux/usr/bin/msgfmt
MSGFMT_OPTS = -c
MSGMERGE = /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/sysroots/x86_64-linux/usr/bin/msgmerge
OBJEXT = o
OMF_DIR = ${datadir}/omf
PACKAGE = gnome-doc-utils
PACKAGE_BUGREPORT = http://bugzilla.gnome.org/enter_bug.cgi?product=gnome-doc-utils
PACKAGE_NAME = gnome-doc-utils
PACKAGE_STRING = gnome-doc-utils 0.20.6
PACKAGE_TARNAME = gnome-doc-utils
PACKAGE_URL = 
PACKAGE_VERSION = 0.20.6
PATH_SEPARATOR = :
PKG_CONFIG = /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/sysroots/x86_64-linux/usr/bin/pkg-config
PKG_CONFIG_LIBDIR = /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/sysroots/generic-powerpc-4xx//usr/lib/pkgconfig
PKG_CONFIG_PATH = /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/sysroots/generic-powerpc-4xx//usr/lib/pkgconfig:/opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/sysroots/generic-powerpc-4xx/usr/share/pkgconfig
POFILES = 
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
PYTHON = /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/sysroots/x86_64-linux/usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_LIB_PREFIX = ${libdir}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7
SET_MAKE = 
SHELL = /bin/sh
STRIP = powerpc-linux-strip
USE_NLS = yes
VERSION = 0.20.6
XGETTEXT = /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/sysroots/x86_64-linux/usr/bin/xgettext
abs_builddir = /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/work/ppc440e-linux/gnome-doc-utils-0.20.6-r8/gnome-doc-utils-0.20.6/xslt/docbook/common
abs_srcdir = /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/work/ppc440e-linux/gnome-doc-utils-0.20.6-r8/gnome-doc-utils-0.20.6/xslt/docbook/common
abs_top_builddir = /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/work/ppc440e-linux/gnome-doc-utils-0.20.6-r8/gnome-doc-utils-0.20.6
abs_top_srcdir = /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/work/ppc440e-linux/gnome-doc-utils-0.20.6-r8/gnome-doc-utils-0.20.6
ac_ct_CC = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = /usr/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = /usr/share
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = /usr
host = powerpc-unknown-linux-gnu
host_alias = powerpc-linux
host_cpu = powerpc
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = /usr/include
infodir = /usr/share/info
install_sh = ${SHELL} /opt/eldk/build/eldk-rel-v5.2-2012-06-20-33c5d31-powerpc-4xx/tmp/work/ppc440e-linux/gnome-doc-utils-0.20.6-r8/gnome-doc-utils-0.20.6/install-sh
libdir = /usr/lib
libexecdir = /usr/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = /usr/share/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/gnome-doc-utils
pkgpythondir = ${pythondir}/gnome-doc-utils
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${libdir}/python2.7/site-packages
pythondir = ${libdir}/python2.7/site-packages
sbindir = /usr/sbin
sharedstatedir = /com
srcdir = .
sysconfdir = /etc
target_alias = powerpc-linux
top_build_prefix = ../../../
top_builddir = ../../..
top_srcdir = ../../..
xsldir = $(datadir)/xml/gnome/xslt/docbook/common
xsl_DATA = \
	db-chunk.xsl		\
	db-common.xsl		\
	db-label.xsl		\
	db-title.xsl		\
	db-xref.xsl

EXTRA_DIST = $(xsl_DATA)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign xslt/docbook/common/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign xslt/docbook/common/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-xslDATA: $(xsl_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(xsldir)" || $(MKDIR_P) "$(DESTDIR)$(xsldir)"
	@list='$(xsl_DATA)'; test -n "$(xsldir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(xsldir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(xsldir)" || exit $$?; \
	done

uninstall-xslDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(xsl_DATA)'; test -n "$(xsldir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(xsldir)'; $(am__uninstall_files_from_dir)
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(xsldir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-xslDATA

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-xslDATA

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip install-xslDATA installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am uninstall \
	uninstall-am uninstall-xslDATA


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
